package twisk.modele;

public class FabriqueIdentifiant {
    private static FabriqueIdentifiant instance = new FabriqueIdentifiant();
    private int compteur;

    private FabriqueIdentifiant() {
        compteur = 0;
    }

    public static FabriqueIdentifiant getInstance() {
        return instance;
    }

    public String getIdentifiantUnique() {
        return String.valueOf(compteur++);
    }

    // For testing purposes
    public void reset() {
        compteur = 0;
    }
}
